Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # ColorBaseValueConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename ColorBase> struct boost::gil::ColorBaseValueConcept< ColorBase > Color base that also has a default-constructor. Refines Regular.
    concept ColorBaseValueConcept<typename T> : MutableColorBaseConcept<T>, Regular<T> {
    };
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp